import { VirgilError } from '../VirgilError';
export declare enum ErrorCode {
    AccessTokenExpired = 20304,
    Unknown = 0
}
/**
 * @hidden
 */
export interface IHttpErrorResponseBody {
    message: string;
    code: number;
}
/**
 * Error thrown by {@link CardManager} when request to the Virgil Cards Service
 * fails.
 */
export declare class VirgilHttpError extends VirgilError {
    httpStatus: number;
    errorCode: ErrorCode;
    constructor(message: string, status: number, errorCode: number);
}
/**
 * Generates error object from response object with HTTP status >= 400
 *
 * @hidden
 *
 * @param {Response} response
 * @returns {Promise<VirgilHttpError>}
 */
export declare function generateErrorFromResponse(response: Response): Promise<VirgilHttpError>;
